apiVersion: v1
kind: Pod
metadata:
  name: require-uid-range-bad-1
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A18
spec:
  containers:
  - name: require-uid-range-bad-1
    image: nginxinc/nginx-unprivileged
---
apiVersion: v1
kind: Pod
metadata:
  name: require-uid-range-bad-2
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A18
spec:
  containers:
  - name: require-uid-range-bad-2
    image: nginxinc/nginx-unprivileged
    securityContext:
      runAsUser: 5
---
apiVersion: v1
kind: Pod
metadata:
  name: require-uid-range-good
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A18
spec:
  containers:
  - name: require-uid-greater-range-good
    image: nginxinc/nginx-unprivileged
    securityContext:
      runAsUser: 15304
